Bug 167775 - editors/libreoffice cannot open password protected OpenOffice files.
Summary: editors/libreoffice cannot open password protected OpenOffice files.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Office Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-10 16:30 UTC by lordsith49
Modified: 2013-02-15 17:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description lordsith49 2012-05-10 16:30:15 UTC
I have an old Impress file that was created using OpenOffice 3.3 with password protection. When attempting to open it in LibreOffice 3.5.2.2 on FreeBSD. It says the password is incorrect. I can open the file in LibreOffice 3.5 on Windows and using OpenOffice 3.4 on FreeBSD

I believe LibreOffice on Ubuntu had a similar problem that had to do with the change in the default encryption methods used by LibreOffice. However, I can't find any links that directly address it.

How-To-Repeat: Create password protected file using OpenOffice 3.3 or 3.4 on any platform. 
Attempt to open file using LibreOffice on FreeBSD 8.3 amd64.Popup says: The password is incorrect. The file cannot be opened."
Attempt to open file using OpenOffice 3.4 on FreeBSD 8.3 amd64: File opens without any problem.
Attempt to open file using OpenOffice 3.4 on Windows: File opens without any problems.
Comment 1 Edwin Groothuis freebsd_committer 2012-05-10 18:55:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->office

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Baptiste Daroussin freebsd_committer 2012-09-25 18:40:17 UTC
This should ne fixed by recent version, no?

regards,
Bapt
Comment 3 lordsith49 2012-11-26 19:10:11 UTC
Sorry about the delay. I just re-tested on LibreOffice 3.5.7.2 with old and new password protected files created by OpenOffice.
I still get "The password is incorrect. The file cannot be opened."
Jonathan

> From: bapt@freebsd.org
> Date: Tue, 25 Sep 2012 19:40:17 +0200
> Subject: Re: ports/167775: editors/libreoffice cannot open password protected OpenOffice files.
> To: bug-followup@freebsd.org; lordsith49@hotmail.com
> 
> This should ne fixed by recent version, no?
> 
> regards,
> Bapt

 		 	   		  =
Comment 4 dfilter service freebsd_committer 2013-02-15 16:55:05 UTC
Author: jkim
Date: Fri Feb 15 16:54:57 2013
New Revision: 312300
URL: http://svnweb.freebsd.org/changeset/ports/312300

Log:
  Enable XMLSEC support.  This fixes support for password-protected files.
  
  PR:	ports/167775

Modified:
  head/editors/libreoffice/Makefile
  head/editors/libreoffice/distinfo

Modified: head/editors/libreoffice/Makefile
==============================================================================
--- head/editors/libreoffice/Makefile	Fri Feb 15 16:44:08 2013	(r312299)
+++ head/editors/libreoffice/Makefile	Fri Feb 15 16:54:57 2013	(r312300)
@@ -2,7 +2,7 @@
 
 .include "${.CURDIR}/Makefile.common"
 
-PORTREVISION=	1
+PORTREVISION=	2
 
 MASTER_SITE_SUBDIR=	src/${PORTVERSION}/
 MASTER_SITES+=	http://dev-www.libreoffice.org/src/:src \
@@ -73,7 +73,8 @@ DISTFILES+=	${PORTNAME}-${components}-${
 
 EXTRACT_ONLY:=	${DISTFILES}
 
-DISTFILES+=	0d2dcdfbf28d6208751b33057f5361f0-libcmis-0.2.3.tar.gz:src
+DISTFILES+=	0d2dcdfbf28d6208751b33057f5361f0-libcmis-0.2.3.tar.gz:src \
+		1f24ab1d39f4a51faf22244c94a6203f-xmlsec1-1.2.14.tar.gz:src
 
 USE_AUTOTOOLS=	autoconf aclocal
 USE_BDB=	yes
@@ -174,7 +175,6 @@ CONFIGURE_ARGS+=	--with-unix-wrapper="li
 			--disable-nsplugin \
 			--disable-linkoo \
 			--disable-online-update \
-			--disable-xmlsec \
 			--with-system-gettext \
 			--with-system-libpng \
 			--disable-gnome-vfs \

Modified: head/editors/libreoffice/distinfo
==============================================================================
--- head/editors/libreoffice/distinfo	Fri Feb 15 16:44:08 2013	(r312299)
+++ head/editors/libreoffice/distinfo	Fri Feb 15 16:54:57 2013	(r312300)
@@ -4,6 +4,8 @@ SHA256 (libreoffice/libreoffice-help-3.6
 SIZE (libreoffice/libreoffice-help-3.6.5.2.tar.xz) = 1912108
 SHA256 (libreoffice/0d2dcdfbf28d6208751b33057f5361f0-libcmis-0.2.3.tar.gz) = a4ace7c0280e5ee8d4941b33449ee10edf1515437483d55ae387cc4de2c2bea0
 SIZE (libreoffice/0d2dcdfbf28d6208751b33057f5361f0-libcmis-0.2.3.tar.gz) = 432064
+SHA256 (libreoffice/1f24ab1d39f4a51faf22244c94a6203f-xmlsec1-1.2.14.tar.gz) = 390a5085651828b8fe12aa978b200f59b9155eedbb91a4be89bf7cf39eefdd4a
+SIZE (libreoffice/1f24ab1d39f4a51faf22244c94a6203f-xmlsec1-1.2.14.tar.gz) = 1652670
 SHA256 (libreoffice/17410483b5b5f267aa18b7e00b65e6e0-hsqldb_1_8_0.zip) = d30b13f4ba2e3b6a2d4f020c0dee0a9fb9fc6fbcc2d561f36b78da4bf3802370
 SIZE (libreoffice/17410483b5b5f267aa18b7e00b65e6e0-hsqldb_1_8_0.zip) = 3519470
 SHA256 (libreoffice/2a177023f9ea8ec8bd00837605c5df1b-jakarta-tomcat-5.0.30-src.tar.gz) = 556921bf0de5c508985c95eef77b73a4388a7da1b7e703060c79c58385483bf4
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Jung-uk Kim freebsd_committer 2013-02-15 16:55:23 UTC
State Changed
From-To: open->closed

Fixed in 3.6.5_2.  XMLSEC must be enabled to support password protection.